package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.dto.LiveGoodsMapperDto;
import com.ym.mec.biz.dal.entity.LiveGoods;
import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.biz.dal.entity.LiveGoodsMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface LiveGoodsMapperDao extends BaseDAO<Integer, LiveGoodsMapper> {

    List<LiveGoodsMapper> findByLiveGoodsIdAndStatus(@Param("liveGoodsId") Integer liveGoodsId, @Param("status") Boolean status);

    int updateStatus(@Param("liveId") String liveId, @Param("liveGoodsId") Integer liveGoodsId, @Param("status") boolean status);

    LiveGoodsMapper findByLiveIdAndGoodsId(@Param("liveId") String liveId, @Param("liveGoodsId") Integer liveGoodsId);

    List<LiveGoodsMapperDto> getLiveGoodsList(@Param("liveId") String liveId, @Param("liveGoodsId") Integer liveGoodsId, @Param("status") Boolean status);

    void batchInsert(@Param("liveId") String liveId, @Param("liveGoodsIds") String[] liveGoodsIds);

    int countLiveGoods(Map<String, Object> params);

    List<LiveGoodsMapperDto> queryGoodsPage(Map<String, Object> params);

    List<Integer> queryGoodsIdsByLiveId(@Param("liveId") String liveId);
}